{% extends 'base.html' %}

{% block current_name %}{{ gettext("Log in") }}{% endblock %}

{% block head %}
<link
	rel="stylesheet"
	href="{{ url_for('static', filename='css/login.css') }}"
>{% endblock %}

{% block content %}
	<section class="window main-center">
		<h1>Log in</h1>

		{% if openid_services|length != 0 %}
			<section class="openid-service-wrapper">
				{% for identifier, name in openid_services.items() %}
					<a
						class="openid-login"
						href="{{ url_for('account.oidc.login') }}?service={{ identifier }}"
					>{{ gettext("Use %s").format(name) }}</a>
				{% endfor %}
			</section>
		{% endif %}

		<form method="post" class="login-form">
			<div>
				{{
					form.email(
						size=32,
						placeholder=form.email.label.text
					)
				}}
			</div>
			<div>
				{{
					form.password(
						size=32,
						placeholder=form.password.label.text
					)
				}}
			</div>
			<div>
				{{ form.submit }}
			</div>
		</form>
	</section>
{% endblock %}
